desc_cable_delivery.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the cable delivery system descriptor. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures

struct | dvb_desc_cable_delivery
| Structure containing the cable delivery system descriptor. More...

## Functions

int | dvb_desc_cable_delivery_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the service location descriptor.
void | dvb_desc_cable_delivery_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the service location descriptor.

## Variables

const unsigned | dvbc_modulation_table []
| converts from the descriptor's modulation into enum fe_modulation, as defined by DVBv5 API.
const unsigned | dvbc_fec_table []
| converts from the descriptor's FEC into enum fe_code_rate, as defined by DVBv5 API.

## Detailed Description

Provides the descriptors for the cable delivery system descriptor.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Relevant specs
  The descriptor described herein is defined at:
  - ETSI EN 300 468 V1.11.1 (2010-04)

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_cable_delivery.h.

## Variable Documentation

## dvbc_fec_table

const unsigned dvbc_fec_table[]

extern

converts from the descriptor's FEC into enum fe_code_rate, as defined by DVBv5 API.

Referenced by dvb_desc_cable_delivery_print().

## dvbc_modulation_table

const unsigned dvbc_modulation_table[]

extern

converts from the descriptor's modulation into enum fe_modulation, as defined by DVBv5 API.

Referenced by dvb_desc_cable_delivery_print().